function ent=entr_gvm(d,k1,k2); 

%_____________________________________________________________________________
% ENTR_GVM.M
% arguments: d (m1-m2), k1, k2 
% This function computes the entropy of the GvM(m1,m2,k1,k2) distribution
%_____________________________________________________________________________

g0=G0(d,k1,k2);
g1=G(1,d,k1,k2);
g2=G(2,d,k1,k2);
h2=H(2,d,k1,k2);
c2=cos(2*d);
s2=sin(2*d);

ent=log(2*pi*g0)-(k1*g1+k2*(c2*g2-s2*h2))/g0;

