function F=fisher(t,d,m1,k1,k2);

%_____________________________________________________________________________
% FISHER.M
% arguments: t (sample of angles) d (m1-m2), m1, k1, k2 
% This function computes the Fisher information matrix of the 
% GvM(m1,m2,k1,k2) distribution
%_____________________________________________________________________________

n=length(t);
[r c]=size(t);
if r==1, t=t'; end; 

g0=G0(d,k1,k2);
A1=G(1,d,k1,k2)/g0;
A2=G(2,d,k1,k2)/g0;
B2=H(2,d,k1,k2)/g0;
c2d=cos(2*d);
s2d=sin(2*d);

% Matrix of scores 4 X n
s1=2*k2*(s2d*A2+c2d*B2-sin(2*(t-m1+d)));
s2=k1*sin(t-m1)+2*k2*sin(2*(t-m1+d));
s3=-A1+cos(t-m1);
s4=-c2d*A2+s2d*B2+cos(2*(t-m1+d));
S=[s1';s2';s3';s4'];

F=S*S'/n;
