function nl = nloglik_vm(t,angles); 

%________________________________________________________________________________________
% arguments: t(1) (m), t(2) (l), angles (sample values)
% This function computes -1 X the log likelihood under vM(m,,e^l) up to a
% multiplicative constant. Note that the two last variables are logarithms of 
% concentrations 
%________________________________________________________________________________________

m = t(1); k = exp(t(2));
n = length(angles);
l = k*sum(cos(angles-m)) - n*log(besseli(0,k)); 
nl = -l;


