function nl = nloglik_vm2(t,angles); 

%________________________________________________________________________________________
% arguments: t(1) (m), t(2) (l), angles (sample values)
% This function computes -1 X the log likelihood under the bimodal or double frequency
% vM vM2(m,e^l) up to a multiplicative constant. Note that the last variable is 
% logarithm of concentration 
%________________________________________________________________________________________

m = t(1); k = exp(t(2));
n = length(angles);
l = k*sum(cos(2*(angles-m))) - n*log(besseli(0,k)); 
nl = -l;


