function gvm=rgvmises1(n,m1,m2,k1,k2); 

%_____________________________________________________________________________
% RGVMISES1.M
% arguments: n (number of generations),  m1, m2, k1, k2 
% This function generates GvM(m1,m2,k1,k2) pseudo-random numbers with the 
% ratio-of-uniforms method
% The sampling domain is non-optimal (defined by the upper bounds for a and b) 
%_____________________________________________________________________________

% Determination of the sampling domain
a=exp((k1+k2)/2);
b=2*pi*a;

% Generation in the sampling domain
rand('state',0) % the initial state is fixed
U=rand(n,2);
V=b*U(:,2);
U(:,2)=[];
U=a*U;

% Generation in the triangle
rand('state',0) % the initial state is fixed
U=rand(n,2);
V=b*U(:,2);
U(:,2)=[];
U=a*U;
sel=(V>2*pi*U);
U(sel)=a-U(sel);
V(sel)=b-V(sel);

% Final computations
R=V./U;
W=(k1*cos(R-m1)+k2*cos(2*(R-m2)))/2;
gvm=R(U<=exp(W));

